declare type TValidation<TValues> = {
    [key in keyof TValues]?: {
        required?: {
            is: boolean;
            errorMessage?: string;
        };
        maxCharacters?: {
            is: number;
            errorMessage?: string;
        };
        minCharacters?: {
            is: number;
            errorMessage?: string;
        };
        email?: {
            is: boolean;
            errorMessage?: string;
        };
        hasToInclude?: {
            is: string;
            errorMessage?: string;
        };
    };
};
declare type Errors<TValues> = {
    [key in keyof TValues]?: string;
};
declare type Touched<TValues> = {
    [key in keyof TValues]?: boolean;
};
export type { TValidation, Errors, Touched };
//# sourceMappingURL=use-form-assist.d.ts.map